package sialocacao.professor.servlets;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import sialocacao.*;
import sialocacao.professor.*;

/**
 * <p>Title: SIAlocacao</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author fabrica03
 * @version 1.0
 */

public class ServletAlterarProfessor extends HttpServlet{
  public void doGet( HttpServletRequest req,
                     HttpServletResponse res )
    throws ServletException, IOException{

    doPost(req, res);
  }

  public void doPost( HttpServletRequest req,
                      HttpServletResponse res )
    throws ServletException, IOException{

    boolean remover =
      req.getParameter("remover") != null;

    //testa se obotao clicado foi o 'Remover'; neste caso redireciona para o
    //ServletRemoverProfessor
    if(remover){
      res.sendRedirect("/sialocacao/servlet/sialocacao.professor.servlets."+
        "ServletExcluirProfessor?professores="+req.getParameter( "codigo" ));

      return;
    }

    int codigo = Integer.parseInt(req.getParameter( "codigo" ));
    String nome = req.getParameter( "nome" );
    String area = req.getParameter( "area" );

    try{
      SIAlocacao sialocacao =
        new SIAlocacao();

      sialocacao.alterarProfessor(new Professor(codigo, nome, area));

      res.sendRedirect("/sialocacao/listar_professores.jsp");

      return;
    }catch(Exception ex){ex.printStackTrace();
       res.sendRedirect("/sialocacao/listar_professores.jsp?mensagem=Problemas"+
        "ao alterar professor!");

       return;
     }
  }
}