package sialocacao.sala.servlets;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import sialocacao.*;

/**
 * <p>Title: SIAlocacao</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author fabrica03
 * @version 1.0
 */

public class ServletExcluirSala extends HttpServlet{
  public void doGet( HttpServletRequest req,
                     HttpServletResponse res )
    throws ServletException, IOException{

    doPost(req, res);
  }

  public void doPost( HttpServletRequest req,
                      HttpServletResponse res )
    throws ServletException, IOException{

    String[] salas =
      req.getParameterValues("salas");

    try{
      SIAlocacao sialocacao =
        new SIAlocacao();

      boolean erro = false;

      if(salas != null){
        for(int i=0; i<salas.length; i++){
          try{
            sialocacao.excluirSala(Integer.parseInt(salas[i]));
          }catch(SIAlocacaoException e){
             erro = true;
           }
        }
      }

      res.sendRedirect("/sialocacao/listar_salas.jsp?mensagem="+
        (erro ? "Alguma(s) sala(s) pode nao ter sido excluida!":
        "Sala(s) excluda(s) com sucesso!!"));

      return;
    }catch(Exception ex){ex.printStackTrace();
       res.sendRedirect("/sialocacao/listar_disciplinas.jsp?mensagem=Erro ao"+
         " tentar excluir disciplina(s)!");

       return;
     }
  }
}
