package sialocacao.alocacao.servlets;


import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import sialocacao.*;

import sialocacao.horario.*;

/**
 * <p>Title: SIAlocacao</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author fabrica03
 * @version 1.0
 */

public class ServletConfirmaAlocacao extends HttpServlet{
  public void doGet( HttpServletRequest req,
                     HttpServletResponse res )
    throws ServletException, IOException{

    doPost(req, res);
  }

  public void doPost( HttpServletRequest req,
                      HttpServletResponse res )
    throws ServletException, IOException{

    String diaDaSemana =
      req.getParameter( "diaDaSemana" );
    String horaInicio =
      req.getParameter( "horaInicio" );
    String horaFim =
      req.getParameter( "horaFim" );

    String codSala =
      req.getParameter( "sala" );

    try{
      SIAlocacao sialocacao =
        new SIAlocacao();

      sialocacao.inserirHorario(diaDaSemana, horaInicio, horaFim);

      int codHorario =
        ((Horario)sialocacao.buscarHorario(diaDaSemana,
          horaInicio, horaFim)).getCodigo();

      res.sendRedirect("/sialocacao/fazer_alocacao.jsp?codHorario="+codHorario+
        "&codSala="+codSala);

      return;
    }catch(Exception ex){ex.printStackTrace();
       res.sendRedirect("/sialocacao/mapaAlocacao.jsp?mensagem=ERRO! O horrio"+
       " pode no ter sido cadastrado!");

       return;
     }
  }
}