package sialocacao.sala.servlets;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import sialocacao.*;
import sialocacao.sala.*;

/**
 * <p>Title: SIAlocacao</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author fabrica03
 * @version 1.0
 */

public class ServletAlterarSala extends HttpServlet{
  public void doGet( HttpServletRequest req,
                     HttpServletResponse res )
    throws ServletException, IOException{

    doPost(req, res);
  }

  public void doPost( HttpServletRequest req,
                      HttpServletResponse res )
    throws ServletException, IOException{

    boolean remover =
      req.getParameter("remover") != null;

    //testa se obotao clicado foi o 'Remover'; nesse caso redireciona para o
    //ServletRemoverSala
    if(remover){
      res.sendRedirect("/sialocacao/servlet/sialocacao.sala.servlets."+
        "ServletExcluirSala?salas="+req.getParameter( "codigo" ));

      return;
    }

    int codigo = Integer.parseInt(req.getParameter( "codigo" ));
    String descricao = req.getParameter( "descricao" );
    String localizacao = req.getParameter( "localizacao" );
    String observacao = req.getParameter( "observacao" );

    try{
      SIAlocacao sialocacao =
        new SIAlocacao();

      sialocacao.alterarSala(new Sala(codigo,
                                      descricao,
                                      localizacao,
                                      observacao));

      res.sendRedirect("/sialocacao/listar_salas.jsp");

      return;
    }catch(Exception ex){ex.printStackTrace();
       res.sendRedirect("/sialocacao/listar_sala.jsp?mensagem=Problemas"+
        "ao alterar sala!");

       return;
     }
  }
}