package sialocacao.disciplina.servlets;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import sialocacao.*;

import sialocacao.disciplina.negocio.*;
import sialocacao.disciplina.database.*;

/**
 * <p>Title: SIAlocacao</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author fabrica03
 * @version 1.0
 */

public class ServletExcluirDisciplina extends HttpServlet{
  public void doGet( HttpServletRequest req,
                     HttpServletResponse res )
    throws ServletException, IOException{

    doPost(req, res);
  }

  public void doPost( HttpServletRequest req,
                      HttpServletResponse res )
    throws ServletException, IOException{

    String[] disciplinas =
      req.getParameterValues("disciplinas");

    try{
      SIAlocacao sialocacao =
        new SIAlocacao();

      boolean erro = false;

      if(disciplinas != null){
        try{
          for(int i=0; i<disciplinas.length; i++){
            sialocacao.excluirDisciplina(Integer.parseInt(disciplinas[i]));
          }
        }catch(SIAlocacaoException e){
           erro = true;
         }
      }

      res.sendRedirect("/sialocacao/listar_disciplinas.jsp?mensagem="+
        (erro ? "Alguma(s) disciplina(s) pode nao ter sido "+
        "excluida(s)!":"Disciplina(s) excluda(s) com sucesso!!"));

      return;
    }catch(Exception ex){ex.printStackTrace();
       res.sendRedirect("/sialocacao/listar_disciplinas.jsp?mensagem=Erro ao"+
         " tentar excluir disciplina(s)!");

       return;
     }
  }
}