package sialocacao.horario.servlets;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import sialocacao.*;
import sialocacao.horario.*;

/**
 * <p>Title: SIAlocacao</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author fabrica03
 * @version 1.0
 */

public class ServletAlterarHorario extends HttpServlet{
  public void doGet( HttpServletRequest req,
                     HttpServletResponse res )
    throws ServletException, IOException{

    doPost(req, res);
  }

  public void doPost( HttpServletRequest req,
                      HttpServletResponse res )
    throws ServletException, IOException{

    boolean remover =
      req.getParameter("remover") != null;

    //testa se obotao clicado foi o 'Remover'; nesse caso redireciona para o
    //ServletRemoverHorario
    if(remover){
      res.sendRedirect("/sialocacao/servlet/sialocacao.horario.servlets."+
        "ServletExcluirHorario?horarios="+req.getParameter( "codigo" ));

      return;
    }

    int codigo = Integer.parseInt(req.getParameter( "codigo" ));
    String diaDaSemana = req.getParameter( "diaDaSemana" );
    String horaInicio = req.getParameter( "horaInicio" );
    String horaFim = req.getParameter( "horaFim" );

    try{
      SIAlocacao sialocacao =
        new SIAlocacao();

      sialocacao.alterarHorario(new Horario(codigo,
                                            diaDaSemana,
                                            horaInicio,
                                            horaFim));

      res.sendRedirect("/sialocacao/listar_horarios.jsp");

      return;
    }catch(Exception ex){ex.printStackTrace();
       res.sendRedirect("/sialocacao/listar_horarios.jsp?mensagem=Problemas"+
        "ao alterar horario!");

       return;
     }
  }
}