package sialocacao.horario.servlets;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import sialocacao.*;

/**
 * <p>Title: SIAlocacao</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author fabrica03
 * @version 1.0
 */

public class ServletExcluirHorario extends HttpServlet{
  public void doGet( HttpServletRequest req,
                     HttpServletResponse res )
    throws ServletException, IOException{

    doPost(req, res);
  }

  public void doPost( HttpServletRequest req,
                      HttpServletResponse res )
    throws ServletException, IOException{

    String[] horarios =
      req.getParameterValues("horarios");

    try{
      SIAlocacao sialocacao =
        new SIAlocacao();

      boolean erro = false;

      if(horarios != null){
        try{
          for(int i=0; i<horarios.length; i++){
            sialocacao.excluirHorario(Integer.parseInt(horarios[i]));
          }
        }catch(SIAlocacaoException e){
           erro = true;
         }
      }

      res.sendRedirect("/sialocacao/listar_horarios.jsp?mensagem="+
        (erro ? "Algum(s) horario(s) pode nao ter sido excluido(s)!":
         "Horrio(s) excludo(s) com sucesso!!!"));

      return;
    }catch(Exception ex){ex.printStackTrace();
       res.sendRedirect("/sialocacao/listar_horarios.jsp?mensagem=Erro ao"+
         " tentar excluir horario(s)!");

       return;
     }
  }
}