package sialocacao;

import java.util.*;

import sialocacao.professor.*;
import sialocacao.professor.database.*;
import sialocacao.professor.negocio.*;

import sialocacao.disciplina.*;
import sialocacao.disciplina.database.*;
import sialocacao.disciplina.negocio.*;

import sialocacao.sala.*;
import sialocacao.sala.database.*;
import sialocacao.sala.negocio.*;

import sialocacao.horario.*;
import sialocacao.horario.database.*;
import sialocacao.horario.negocio.*;

import sialocacao.alocacao.*;
import sialocacao.alocacao.database.*;
import sialocacao.alocacao.negocio.*;


/**
 * <p>Title: Teste.java </p>
 * <p>Description: Responsvel por testes nos componentes. </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: Fbrica III </p>
 * @author: Carlos A. Rego Andrade
 *          Fbio de Carvalho Dias Ferreira
 *          Luiz Eduardo Cunha Leite
 *          Taciana Amorim Vanderlei
 *          Vivianne da Nbrega Medeiros
 * @version 1.0
 */

public class Teste {
  public static void main(String[] args) throws Exception {
    SIAlocacao sialocacao =
        new SIAlocacao();

    //sialocacao.inserirHorario("SEGUNDA", "17:00", "19:00" );
    //sialocacao.inserirHorario("TERCA", "08:00", "10:00" );
    //sialocacao.inserirHorario("QUARTA", "07:00", "08:30" );

    //sialocacao.inserirDisciplina("EngSoft",40,"Um monte de coisa","EngSoft");
    //sialocacao.inserirDisciplina("Agentes Inteligentes",50,"Outro monte de coisa","Inteligencia Artificial");
    //sialocacao.inserirDisciplina("Topicos Avancados em ES",60,"pouca coisa","EngSoft");

    //sialocacao.inserirProfessor("silvio", "eng software");


    //sialocacao.alterarProfessor(new Professor(2, "TESTE", "eng software"));
    //sialocacao.alterarHorario(new Horario(1, "SEXTA", "20:00", "22:30" ) );

    //sialocacao.excluirDisciplina(4);
    //sialocacao.excluirDisciplina(5);
    //sialocacao.excluirDisciplina(6);

    //sialocacao.excluirProfessor(4);
    //sialocacao.excluirProfessor(5);
    //sialocacao.excluirProfessor(6);

    //sialocacao.excluirHorario(4);
    //sialocacao.excluirHorario(5);
    //sialocacao.excluirHorario(6);
/*
    ArrayList professores = sialocacao.listarProfessores();
    for (int i = 0; i < professores.size(); i++) {
      System.out.println( (Professor) professores.get(i));
    }

    ArrayList disciplinas = sialocacao.listarDisciplinas();
    for (int i = 0; i < disciplinas.size(); i++) {
      System.out.println( (Disciplina) disciplinas.get(i));
    }

    ArrayList horarios = sialocacao.listarHorarios();
    for (int i = 0; i < horarios.size(); i++) {
      System.out.println( (Horario) horarios.get(i));
    }

    ArrayList salas = sialocacao.listarSalas();
    for (int i = 0; i < salas.size(); i++) {
      System.out.println( (Sala) salas.get(i) );
    }

*/
/*

    Professor professor = sialocacao.buscarProfessor(11);
    //Professor professor = new Professor(50, "Luiz Eduardo", "Redes");
    Disciplina disciplina = sialocacao.buscarDisciplina(2);
    //Disciplina disciplina = new Disciplina(150, "BLABLABLA");
    Horario horario = sialocacao.buscarHorario(2);
    //Horario horario = new Horario (254, "S", "1", "2");
    Sala sala = sialocacao.buscarSala(2);
    //Sala sala = new Sala(1254, "DES", "LOCA", "OBS");



    //IAlocacaoDatabase alocacaodb = new AlocacaoDatabase();
    IAlocacaoNegocio alocacaodb = new AlocacaoNegocio();

    //alocacaodb.alocar(horario, sala, disciplina, professor);
    //Disciplina disciplina = alocacaodb.getDisciplinaAlocada(horario, sala);


    //System.out.println(professor);
    //System.out.println(disciplina);
    //System.out.println(horario);
    //System.out.println(sala);

    //alocacaodb.excluirAlocacao(5);

    Alocacao alocacao = alocacaodb.getAlocacao(horario, sala);

    System.out.println(alocacao);

    alocacao.setCodProfessor(10);
    alocacao.setCodDisciplina(1);
    alocacao.setCodSala(100);
    alocacao.setCodHorario(2);
/*
    alocacaodb.alterarAlocacao(alocacao);

    ArrayList alocacoes = alocacaodb.listarAlocacoes();
    for (int i = 0; i < alocacoes.size(); i++) {
      System.out.println( (Alocacao) alocacoes.get(i) );
    }

*/
//    System.out.print(sialocacao.bu);
Alocacao alocacao = sialocacao.getAlocacao(sialocacao.buscarHorario(21),
                                          sialocacao.buscarSala(14));


    System.out.println("\nok!");
  }
}