package sialocacao.alocacao.servlets;


import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import sialocacao.*;

import sialocacao.alocacao.*;
import sialocacao.professor.*;
import sialocacao.sala.*;
import sialocacao.horario.*;
import sialocacao.disciplina.*;

/**
 * <p>Title: SIAlocacao</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author fabrica03
 * @version 1.0
 */

public class ServletEditarAlocacao extends HttpServlet{
  public void doGet( HttpServletRequest req,
                     HttpServletResponse res )
    throws ServletException, IOException{

    doPost(req, res);
  }

  public void doPost( HttpServletRequest req,
                      HttpServletResponse res )
    throws ServletException, IOException{

    boolean desalocar =
      req.getParameter("desalocar") != null;

    int codProfessor =
      Integer.parseInt( req.getParameter( "professor" ) );
    int codDisciplina =
      Integer.parseInt( req.getParameter( "disciplina" ) );
    int codSala =
      Integer.parseInt( req.getParameter( "sala" ) );
    int codHorario =
      Integer.parseInt( req.getParameter( "horario" ) );
    try{
      SIAlocacao sialocacao =
        new SIAlocacao();

      if(desalocar){
        Horario horario =
          sialocacao.buscarHorario(codHorario);
        Sala sala =
          sialocacao.buscarSala(codSala);

        Alocacao alocacao =
          sialocacao.getAlocacao(horario, sala);

        sialocacao.excluirAlocacao(alocacao.getCodigo());

        res.sendRedirect("/sialocacao/mapaAlocacao.jsp?mensagem=Alocao removida com "+
        "sucesso!");

        return;
      }


      Horario horario =
        new Horario();
      horario.setCodigo(codHorario);
      Sala sala =
        new Sala();
      sala.setCodigo(codSala);
      Disciplina disciplina =
        new Disciplina();
      disciplina.setCodigo(codDisciplina);
      Professor professor =
        new Professor();
      professor.setCodigo(codProfessor);

      Alocacao alocacao =
        sialocacao.getAlocacao(horario, sala);

     alocacao.setCodProfessor(codProfessor);
     alocacao.setCodDisciplina(codDisciplina);

      sialocacao.alterarAlocacao(alocacao);

      res.sendRedirect("/sialocacao/mapaAlocacao.jsp?mensagem=Alocao alterada com "+
        "sucesso!");

      return;
      }catch(SIAlocacaoException ex){ex.printStackTrace();
           res.sendRedirect("/sialocacao/mapaAlocacao.jsp?mensagem=ERRO! No foi "+
           "possvel fazer a alocao! ("+ex.getDescription()+")");

           return;
      }catch(Exception ex){ex.printStackTrace();
       res.sendRedirect("/sialocacao/mapaAlocacao.jsp?mensagem=ERRO! No foi "+
       "possvel fazer a editar a alocao!");

       return;
     }
  }
}