package sialocacao.alocacao.servlets;


import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import sialocacao.*;

import sialocacao.professor.*;
import sialocacao.sala.*;
import sialocacao.horario.*;
import sialocacao.disciplina.*;

/**
 * <p>Title: SIAlocacao</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author fabrica03
 * @version 1.0
 */

public class ServletFazerAlocacao extends HttpServlet{
  public void doGet( HttpServletRequest req,
                     HttpServletResponse res )
    throws ServletException, IOException{

    doPost(req, res);
  }

  public void doPost( HttpServletRequest req,
                      HttpServletResponse res )
    throws ServletException, IOException{

    int codProfessor =
      Integer.parseInt( req.getParameter( "professor" ) );
    int codDisciplina =
      Integer.parseInt( req.getParameter( "disciplina" ) );
    int codSala =
      Integer.parseInt( req.getParameter( "sala" ) );
    int codHorario =
      Integer.parseInt( req.getParameter( "horario" ) );
    try{
      SIAlocacao sialocacao =
        new SIAlocacao();

      Horario horario =
        new Horario();
      horario.setCodigo(codHorario);
      Sala sala =
        new Sala();
      sala.setCodigo(codSala);
      Disciplina disciplina =
        new Disciplina();
      disciplina.setCodigo(codDisciplina);
      Professor professor =
        new Professor();
      professor.setCodigo(codProfessor);

      sialocacao.alocar( horario, sala, disciplina, professor);

      res.sendRedirect("/sialocacao/mapaAlocacao.jsp?mensagem=Alocao Realizada com "+
        "sucesso!");

      return;
    }catch(SIAlocacaoException ex){ex.printStackTrace();
         res.sendRedirect("/sialocacao/mapaAlocacao.jsp?mensagem=ERRO! No foi "+
         "possvel fazer a alocao! ("+ex.getDescription()+")");

         return;
    }catch(Exception ex){ex.printStackTrace();
       res.sendRedirect("/sialocacao/mapaAlocacao.jsp?mensagem=ERRO! No foi "+
       "possvel fazer a alocao! ()");

       return;
     }
  }
}