package sialocacao.professor.servlets;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import sialocacao.*;
import sialocacao.professor.excecoes.*;

/**
 * <p>Title: SIAlocacao</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author fabrica03
 * @version 1.0
 */

public class ServletExcluirProfessor extends HttpServlet{
  public void doGet( HttpServletRequest req,
                     HttpServletResponse res )
    throws ServletException, IOException{

    doPost(req, res);
  }

  public void doPost( HttpServletRequest req,
                      HttpServletResponse res )
    throws ServletException, IOException{

    String[] professores =
      req.getParameterValues("professores");

    try{
      SIAlocacao sialocacao =
        new SIAlocacao();

      boolean erro = false;

      if(professores != null){
        for(int i=0; i<professores.length; i++){
          try {
            sialocacao.excluirProfessor(Integer.parseInt(professores[i]));
          }
          catch (ProfessorAlocadoException e) {
            erro = true;
          }
        }
      }

      res.sendRedirect("/sialocacao/listar_professores.jsp?mensagem="+
        (erro ? "Algum(s) professor(es) pode(ram) nao ter sido "+
        "excluido(s) porque est(o) alocado(s)!":"Professor(es) excludo(s) "+
        "com sucesso!!"));

      return;
      }catch(Exception ex){ex.printStackTrace();
       res.sendRedirect("/sialocacao/listar_professor.jsp?mensagem=Erro ao"+
         " tentar excluir professor(es)!");

       return;
     }
  }
}